LINUX.ORG.RU

Slackware Linux 15.0

 ,


6

2

Патрик Фолькердинг (Patrick J. Volkerding) объявил о выпуске Slackware Linux 15.0, первой стабильной версии проекта с июля 2016 года.

Новая версия старейшего из сохранившихся дистрибутивов Linux содержит ряд новых функций, таких как PAM, elogind (заменил ConsoleKit2), PipeWire и Wayland.

Кроме того, в отличие от большинства других дистрибутивов, Slackware продолжает поддерживать 32-битную архитектуру x86.

Мы очень рады объявить о выпуске новой стабильной версии Slackware 15.0. Было слишком много изменений, чтобы даже начать описывать их здесь, но для нашей преданной пользовательской базы достаточно сказать, что вы найдете вещи современными, но при этом знакомыми.

  • Мы остановились на ядре Linux 5.15.19 (часть серии ядер 5.15.x, которая будет получать долгосрочную поддержку от разработчиков ядра).
  • Вы также получите обновлённый рабочий стол, включая KDE Plasma 25th Anniversary Edition с поддержкой сеансов Wayland.
  • Мы приняли PAM (наконец-то), поскольку необходимые проекты более не поддерживают работу с /etc/shadow напрямую.
  • Мы добавили поддержку PipeWire в качестве альтернативы PulseAudio и сессии Wayland в дополнение к X11.
  • А переход на elogin решает проблемы с ПО, которое полагается на новейшие стандарты XDG.

Скачать: slackware64-15.0-install-dvd.iso (3605 МБ), slackware-15.0-install-dvd.iso (3736 МБ).

>>> Полное объявление о выпуске

>>> Официальный сайт

>>> Подробности (distrowatch)

anonymous

Проверено: hobbit ()

Ответ на: комментарий от anonymous

Все персонажи являются вымышленными и любое совпадение с реально живущими или когда-либо жившими людьми случайно.

Да и с «Волгами» и «Запорожцами» в том временном периоде было туговато. Если только без кавычек ;-)

bormant ★★★★★ ()

Нет Столлмана кроме Линуса и Патрик – пророк его.

anonymous ()
Ответ на: комментарий от DevopsExpert

А с какого года русские физики уже не выбирают Slackware?

In Soviet^W Russia Slackware выбирает тебю.

anonymous ()
Ответ на: комментарий от DevopsExpert

Ну вот как церн стал нормально так пилить scientific linux

luke ★★★★★ ()
Ответ на: комментарий от DarthVadimius

Qucs-S снова жив

Пробовал собрать новый Qucs-S, получил ту же ошибку, что и @R_He_Po6oT. Версия Qt — 5.15.2, дистр — Арч.

/tmp/qucs_s-qt5/qucs/viewpainter.cpp: In member function ‘void Graph::drawLines(int, int, ViewPainter*) const’:
/tmp/qucs_s-qt5/qucs/viewpainter.cpp:151:18: error: aggregate ‘QPainterPath path’ has incomplete type and cannot be defined
  151 |     QPainterPath path;
      |                  ^~~~

Очень много deprecation warnings, вывод не помещается в буфер консоли.

cc1plus: note: unrecognized command-line option ‘-Wno-deprecated-register’

anonymous ()
Ответ на: комментарий от anonymous

Да, в Qt5.15 довольно много чего поменялось по сравнению с ранними версиями Qt5. Собираемость под 5.15 я пока не проверил. В ближайшие дни поставлю Федору на виртуалку и посмотрю, что там происходит. Тогда сделаю условную компиляцию под разные версии Qt.

DarthVadimius ★★★ ()
Ответ на: комментарий от DarthVadimius

Всё собралось и запустилось, схемки открываются и работают (проверял только ngspice), ничего не падает, во время работы программы в консоли ошибок нет, только деприкейтед-ворнинги от Qt и нормальные debug-сообщения. Всё отлично!

Оформление (тема) интерфейса поменялось, возможно мне нужно произвести какие-то локальные настройки: http://0x0.st/o89E.png — слева — 0.0.19, справа — 0.0.22.

anonymous ()
Ответ на: комментарий от anonymous

только деприкейтед-ворнинги от Qt и нормальные debug-сообщения

В ближайшее время буду потихоньку исправлять deprecated. Сейчас пока у меня приоритет починить поломанные вещи. Например, Фурье-анализ на движке XYCE не работает.

Оформление (тема) интерфейса поменялось

Странно. У меня на KDE и на XFCE обратная картина. В старых схемах в старом Qucs на Qt4 надписи разъезжаются, а в старых схема на новом Qucs-S с Qt5 всё отображается правильно и ничего не наезжает. Настройки шрифтов в самом приложении дефолтные https://user-images.githubusercontent.com/4920080/154328901-84ec7d55-e722-4e57-b1a5-be065f95553c.png В настройках KDE множитель 130%. Возможно это связано с тем, что Qt4 некорректно работает на HiDPI.

DarthVadimius ★★★ ()
Ответ на: комментарий от DarthVadimius

Qt4 можно было настроить, чтобы он брал стили с GTK-шной темы. Для Qt5 и Qt6 надо ставить дополнительные плагины из AUR-а или темы. Поставил kvantum и qt5ct, поднастроил, стало норм. Не 100% как было, но приемлемо, текст контролов теперь не вырвиглазно-чёрный, шрифты нормализовались, надписи влазят нормально.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.